Loading...
Searching...
No Matches
pyregfi.winsec.ACE Class Reference

Represents a Microsoft access control entry, which are elements of access control lists. More...

Inheritance diagram for pyregfi.winsec.ACE:
[legend]

## Static Public Attributes

int | type = 1234
| The type of entry as an integer.
int | flags = 0x1234
| The flags as an integer.
int | access_mask = 0x1234
| The access mask/permissions as an integer.
str | trustee = "S-1-2..."
| The trustee's SID as a string.
| object = uuid.UUID(fields=(0x12345678, 0x1234, 0x5678, 0x12, 0x34, 0x567812345678))
| The object GUID as a Python UUID May be None.
| inherited_object = uuid.UUID(fields=(0x12345678, 0x1234, 0x5678, 0x12, 0x34, 0x567812345678))
| The inherited object GUID as a Python UUID May be None.

## Detailed Description

Represents a Microsoft access control entry, which are elements of access control lists.

For more information, see: http://msdn.microsoft.com/en-us/library/aa374868%28v=vs.85%29.aspx

Note
  This interface is subject to change

The documentation for this class was generated from the following file:

- winsec.py